Subject: [MMUSIC] Re: questions odraft-ietf-mmusic-ice-15.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 12 Jun 2007 14:23:02 -0400

responses inline.

Rafael Kiel wrote:

> Hi
> 
> I have two question regarding draft-ietf-mmusic-ice-15.txt
> 
>  
> 
>    1. Chapter 15.1. ( "candidate" Attribute) says the following:
> 
> /… //In that case, when receiving an offer or answer containing an FQDN 
> in an a=candidate attribute, the FQDN is looked up in the DNS using an A 
> or AAAA record, and the resulting IP address is used for the remainder 
> of ICE processing …/
> 
>  
> 
> What should be done if the DNS look up results in more than address? 

Pick one.

> Does agent has to perform AAAA DNS request if the A request succeeds?

No.

> 
> The implementation could create the remote candidate for each IPv4 and 
> IPv6 address learned as the result of DNS lookup or it can take one 
> arbitrary address. I believe it needs to be clarified.

No. It should pick one arbitrarily. Normally there would be only one anyway.

> 
>  
> 
>    2. Chapter 8.2.  (Updating States) says:
> 
>  
> 
> If an In-Progress pair in the check list is for the same
> 
>  
> 
> /o  If there is at least one nominated pair in the valid list for a/
> 
> /      media stream and the state of the check list is Running:/
> 
> / /
> 
> /            …/
> 
> / /
> 
> /      *  If an In-Progress pair in the check list is for the same/
> 
> /         component as a nominated pair, the agent SHOULD cease/
> 
> /         retransmissions for its check if its pair priority is lower/
> 
> /         than the lowest priority nominated pair for that component/
> 
> / /
> 
> /            …/
> 
> / /
> 
> Why an agent does not discard this check completely? If it succeeds the 
> pair will not be used since there exists another pair with higher 
> priority but letting this check to complete will require some 
> (superfluous) work to be done.

Well, there is no CANCEL method, so the best the agent can do is to 
cease retransmitting. If it gets a response, its probably easier to just 
process it than it is to define special case handling to discard it.

Thanks,
Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic